Get print object with calculator example
curl --request GET \
--url https://calculators.symmetry.com/api/print \
--header 'pcc-api-key: <api-key>'import requests
url = "https://calculators.symmetry.com/api/print"
headers = {"pcc-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'pcc-api-key': '<api-key>'}};
fetch('https://calculators.symmetry.com/api/print', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_links": {
"create": {
"href": "https://calculators.symmetry.com/api/print?calculator=salary&report=all&showcalc=false"
},
"self": {
"href": "https://calculators.symmetry.com/api/print?format=model&type="
}
},
"content": {
"calculator": {
"checkDate": "2023-01-25T15:23:39.513+00:00",
"grossPay": 0,
"payFrequency": "WEEKLY",
"state": "AL"
},
"checkDate": "2023-01-25T15:23:39.513+00:00",
"checkNumber": "",
"checkNumberOnCheck": false,
"companyAddressLine1": "",
"companyName": "",
"companyNameOnCheck": false,
"eic": 0,
"emailReports": false,
"employeeAddressLine1": "",
"employeeName": "",
"federal": 0,
"fica": 0,
"grossPay": 0,
"id": "",
"localeTaxes": [
{
"name": "",
"value": 0
}
],
"medicare": 0,
"netPay": 0,
"remarks": "",
"state": 0,
"stateTaxTypes": [
{
"name": "",
"value": 0
}
],
"voluntaryDeductions": [
{
"name": "",
"value": 0
}
]
}
}{
"content": "Invalid request parameter format=badformat"
}{
"message": "No api key found"
}{
"message": "Invalid api key"
}{
"error": "Not Found",
"path": "/api/print/badpath",
"status": 404,
"timestamp": 1641573466465
}{
"error": "Method Not Allowed",
"path": "/api/print",
"status": 405,
"timestamp": 1641572607838
}Returns the print object structure with a salary calculator object added as an example. Used to understand the print data model structure for generating paycheck reports.
GET
/
print
Get print object with calculator example
Authorizations
API key for CBS API authentication
Query Parameters
The response data format
Available options:
fields, model, schema Report type (has no effect when format is model or fields)
Available options:
all, checkbottom, checkmiddle, checktop, deluxe_b100, deluxe_b211, deluxe_m102, deluxe_m145, deluxe_t104, deluxe_t111, earnings, none, paystub, quickbooks_top Response
Print object retrieved successfully
⌘I

